package com.pcloud.book.group.dto;

import java.io.Serializable;

/**
 * @author lily
 * @date 2019/3/5 9:49
 */
public class UpdateQrDTO implements Serializable {

    /**
     * 群二维码标识
     */
    private Long id;

    /**
     * 二维码地址
     */
    private String url;

    /**
     * 更新状态
     */
    private Integer updateState;

    private String requestUrl;

    /**
     * 机器人微信号
     */
    private String robotWxId;

    public String getRobotWxId() {
        return robotWxId;
    }

    public void setRobotWxId(String robotWxId) {
        this.robotWxId = robotWxId;
    }

    public String getRequestUrl() {
        return requestUrl;
    }

    public void setRequestUrl(String requestUrl) {
        this.requestUrl = requestUrl;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getUpdateState() {
        return updateState;
    }

    public void setUpdateState(Integer updateState) {
        this.updateState = updateState;
    }

    @Override
    public String toString() {
        return "UpdateQrDTO{" +
                "id=" + id +
                ", url='" + url + '\'' +
                ", updateState=" + updateState +
                ", requestUrl='" + requestUrl + '\'' +
                ", robotWxId='" + robotWxId + '\'' +
                '}';
    }
}
